Get Prometheus build information Technical preview; Added in 9.5.0

GET /_prometheus/{index}/api/v1/status/buildinfo

All methods and paths for this operation:

GET /_prometheus/api/v1/status/buildinfo

GET /_prometheus/{index}/api/v1/status/buildinfo

Get Elasticsearch build information in the format of the Prometheus /api/v1/status/buildinfo endpoint. Prometheus-compatible clients, such as Grafana, call this endpoint to identify the backend and the features it supports.

Path parameters

  • index string Required

    An index pattern, accepted for consistency with the other Prometheus endpoints. The response doesn't depend on it.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • status string Required

      The status of the request. It is always success.

    • data object Required

      The Elasticsearch build information.

      Hide data attributes Show data attributes object
      • application string Required

        The name of the application. It is always Elasticsearch.

      • version string Required

        The Elasticsearch version.

      • revision string Required

        The commit hash of the Elasticsearch build.

      • buildDate string | number Required

        The date of the Elasticsearch build.

        One of:

        Time unit for milliseconds

GET /_prometheus/{index}/api/v1/status/buildinfo
GET /_prometheus/api/v1/status/buildinfo
resp = client.prometheus.status_buildinfo()
const response = await client.prometheus.statusBuildinfo();
response = client.prometheus.status_buildinfo
$resp = $client->prometheus()->statusBuildinfo();
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_prometheus/api/v1/status/buildinfo"
Response examples (200)
A successful response from `GET /_prometheus/api/v1/status/buildinfo`.
{
  "status": "success",
  "data": {
    "application": "Elasticsearch",
    "version": "9.5.0",
    "revision": "00000000",
    "buildDate": "2026-07-09T22:10:13.578182715Z"
  }
}